Page MenuHomePhabricator

VisualEditor: Add support for adding dir/lang attributes to paragraphs and similar arbitrary elements (div, p, lists etc.)
Open, MediumPublic

Description

In MediaWiki pages it is frequently required to write some text in a different languages, and possibly also with different directionality. For example, an quotation in English in an article in the Hebrew Wikipedia.

With the plain wikitext editor this can be achieved using HTML, for example <span lang="en" dir="ltr">. In some Wikipedias there are templates that do this.

There must be a way to do this using the VE GUI. For example, the user can select the text in a different language, open a dialog with "Language properties" and select "English language" and "Directionality: Left-to-right".

For reference and further details:
https://www.mediawiki.org/wiki/VisualEditor/Bidirectional_text_requirements


Version: unspecified
Severity: enhancement

Details

Reference
bz41009

Related Objects

StatusSubtypeAssignedTask
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
InvalidJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedCatrope
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
Resolvedmarcoil
DeclinedNone
ResolvedNone
DeclinedKrinkle
OpenNone
ResolvedNone
ResolvedMooeypoo
Resolved rmoen
Resolved rmoen
Resolved rmoen
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolvedcscott
Resolvederanroz
ResolvedEsanders
ResolvedNone
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedLtrlg
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedInez
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedMooeypoo
Resolved rmoen
ResolvedMooeypoo
Resolved rmoen
Resolved rmoen
ResolvedAmire80
ResolvedEsanders
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedJdforrester-WMF
ResolvedMooeypoo
ResolvedAmire80
ResolvedAmire80
ResolvedCatrope
ResolvedAmire80
Resolved TrevorParscal
ResolvedEsanders
ResolvedEsanders
ResolvedMooeypoo
OpenNone
Resolvedmatmarex
ResolvedMooeypoo

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 12:47 AM
bzimport set Reference to bz41009.
Amire80 created this task.Oct 13 2012, 5:09 PM
  • Bug 41010 has been marked as a duplicate of this bug. ***
  • This bug has been marked as a duplicate of bug 47759 ***

<span> is done. Reopening for <div>.

Jdforrester-WMF lowered the priority of this task from High to Medium.Jan 9 2015, 10:55 PM
Jdforrester-WMF renamed this task from VisualEditor: Add support for adding dir/lang attributes to paragraphs and similar elements (div, p, lists etc.) to VisualEditor: Add support for adding dir/lang attributes to paragraphs and similar arbitrary elements (div, p, lists etc.).Apr 29 2015, 7:01 PM
Jdforrester-WMF set Security to None.